
Application: gvSIG desktop - gvSIG add-on requests #4029
EPSG Registry v. 8.8 for jCRS
01/19/2016 10:19 AM - Antonio Falciano

Status: Closed Start date: 01/19/2016
Priority: High Due date:
Assignee: Daniel Martinez % Done: 100%
Category: CRS Estimated time: 0.00 hour
Target version: 2.3.0-2434  (rev. org.gvsig.desktop-2.0.140)Spent time: 0.00 hour
Add-on name: Unknown Add-on code:
Add-on operation requested:Add to add-ons repository
Description

History
#1 - 01/19/2016 02:08 PM - Álvaro Anguix
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Assignee set to Joaquín  del Cerro Murciano

#2 - 02/02/2016 06:17 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#3 - 02/27/2016 11:22 AM - Joaquín  del Cerro Murciano

los cambios relativos a este ticket estan en la revision gvsig-jcrs:r530

#4 - 02/27/2016 11:24 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132,  NOT USABLE) 
- Assignee changed from Joaquín  del Cerro Murciano to Daniel Martinez
- Status changed from New to Fixed

#5 - 03/14/2016 11:51 AM - Antonio Falciano
- Status changed from Fixed to Closed

#6 - 03/14/2016 03:33 PM - Antonio Falciano
- Target version changed from 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132,  NOT USABLE)  to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Closed to New

I reopen the ticket because its package is still not available in the testing repository of build 2426.

#7 - 06/24/2016 11:00 AM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#8 - 06/24/2016 12:03 PM - Daniel Martinez
- % Done changed from 0 to 100
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2433 (rev. org.gvsig.desktop-2.0.139, NOT USABLE)
- Status changed from New to Fixed

Tested on 2431, the package appears correctly
#9 - 06/24/2016 12:21 PM - Antonio Falciano

Daniel Martinez wrote:

Tested on 2431, the package appears correctly

Hi Daniel,
I've just verified in build 2431 and 2432 (win-x86_64), but the "jCRS EPSG: version 8.8" package is still not available in the Testing gvSIG repository.

#10 - 06/27/2016 10:36 AM - Antonio Falciano
- Target version changed from 2.3.0-2433 (rev. org.gvsig.desktop-2.0.139, NOT USABLE) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Fixed to New

#11 - 06/27/2016 11:18 AM - Daniel Martinez
- File AddonManager.png added

Hello Antonio,

I have tested again in 2432 win-x86_64 and it appears on the addon manager using this repository:

Testing gvSIG repository - http://downloads.gvsig.org/download/gvsig-desktop-testing/

I have added a screen capture from the addon manager showing the package to verify if this is where it must appear.

#12 - 06/27/2016 11:33 AM - Antonio Falciano
- File addon_manager_b2432.png added

Hi Daniel,
instead I attach a screenshot relative to your same conditions, but after a fresh install (removing the gvSIG home folder), showing clearly that the "jCRS
EPSG: version 8.8" package is still not available in the Testing gvSIG repository.
Note that the "jCRS EPSG: version 8.8" package is available in your screenshot because it's loaded from the jCRS extension folder, but not from the
repository.

#13 - 06/27/2016 12:31 PM - Antonio Falciano

More in detail: gvSIG-desktop-2.1.0-EPSG_v8_8-1.0.0-1-testing-all-all-j1_5.gvspki is not available in 
http://downloads.gvsig.org/download/gvsig-desktop-testing/dists/2.3.0/packages.gvspki

#14 - 06/27/2016 02:47 PM - Daniel Martinez
- Status changed from New to Fixed

Hello Antonio,

Thanks again for your help. Now, I think, everything is OK. It appears in a fresh version of gvSIG and appears in 

05/17/2024 2/3

http://downloads.gvsig.org/download/gvsig-desktop-testing/
http://downloads.gvsig.org/download/gvsig-desktop-testing/dists/2.3.0/packages.gvspki


http://downloads.gvsig.org/download/gvsig-desktop-testing/dists/2.3.0/packages.gvspki.

Could you check everything is correct?

#15 - 06/27/2016 03:24 PM - Antonio Falciano

Hi Daniel,
the "jCRS EPSG: version 8.8" package is available now, thanks! The only strangeness I can see is that its version is 1.0.0-2 (instead of 1.0.0-1, like the
previous ones), so two minor versions of the same jCRS EPSG package are shown in the Addons Manager after restarting gvSIG. Is there some
particular reason? Is it possible to downgrade the minor version of the package in order to show only one?

#16 - 06/28/2016 08:27 AM - Daniel Martinez

Hello Antonio,

The first version I generated had an error (there was an space between the file name and the extension), so I had to generate a new version to correct
this. I think there is no way to downgrade a package, although maybe Joaquin can do it manually.

#17 - 06/28/2016 11:55 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2434  (rev. org.gvsig.desktop-2.0.140)

#18 - 07/02/2016 07:56 PM - Antonio Falciano
- File epsg_registry.png added

Thank you Daniel, but it would be perfect to have only the 1.0.0-1 version of "jCRS EPSG: version 8.8" (and fix also #4028). It looks quite messed up
than it would. :(

epsg_registry.png

#19 - 07/07/2016 11:45 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG-desktop-2.1.0-EPSG_v8_8-1.0.0-1-testing-all-all-j1_5.gvspkg 1.01 MB 01/19/2016 Antonio Falciano
AddonManager.png 178 KB 06/27/2016 Daniel Martinez
addon_manager_b2432.png 33.9 KB 06/27/2016 Antonio Falciano
epsg_registry.png 22.5 KB 07/02/2016 Antonio Falciano
